import { TextInput, View, StyleSheet, Button } from 'react-native'
import { useState } from 'react'

export default function LoginView() {
	const [email, setEmail] = useState('')
	const [password, setPassword] = useState('')

	function login() {
		console.log(email, password)
	}

	const styles = StyleSheet.create({
		container: {
			padding: 16,
			gap: 8
		},
		textfield: {
			borderColor: 'transparent',
    	borderBottomColor: '#ccc',
    	borderWidth: 1,
			paddingVertical: 4
		}
	})
	return <View style={styles.container}>
		<TextInput placeholder="Feedbin Email" style={styles.textfield} autoCapitalize="none" autoCorrect={false} textContentType="none" keyboardType="email-address" onChangeText={setEmail} />
		<TextInput placeholder="Password" style={styles.textfield} secureTextEntry={true} onChangeText={setPassword} />
		<Button title="Enter" onPress={login} />
	</View>
}
